Google Cloud Storage

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Returns details of a single Google Cloud Storage action

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
GOOGLE_CLOUD_STORAGE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
local_pathstring
The path to the local files to deploy
remote_pathstring
The path on the remote server where files will be deployed
deployment_excludesstring[]
The list of files or directories to exclude from deployment
deployment_includesstring[]
The list of files or directories to include in deployment
input_typestring enum
The type of source input
Allowed enum:
SCM_REPOSITORY,
BUILD_ARTIFACTS
deletion_disabledboolean
If set to true, files on the remote server will not be deleted
use_temporary_filesboolean
If set to true, files will be uploaded to a temporary directory first
content_encodingstring
The content encoding for deployed files
integrationIntegrationIdentifierView
The integration used by the action
application_namestring
The name of the GCS application
bucket_namestring
The name of the GCS Bucket
public_accessboolean
Makes files accessible through public HTTP
cache_controlstring
Specifies how long objects stay in the cache

Last modified on Feb 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK